Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface ColumnsetStatistics

All Superinterfaces:
  M4Object

All Known Implementing Classes:
  ColumnsetStatistics

public interface ColumnsetStatistics
extends M4Object

Version:
  $Id: ColumnsetStatistics.java,v 1.3 2006/04/11 14:10:12 euler Exp $
Author:
  Timm Euler

Method Summary
`java.lang.Integer` | `getNrOfAllTuples()`
`java.lang.Integer` | `getNrOfNomAttribs()`
`java.lang.Integer` | `getNrOfOrdAttribs()`
`java.lang.Integer` | `getNrOfTimeAttribs()`
`Columnset` | `getTheColumnset()`
`void` | `setNrOfAllTuples(java.lang.Integer nrOfRows)`
`void` | `setNrOfNomAttribs(java.lang.Integer nrOfNominalAttributes)`
`void` | `setNrOfOrdAttribs(java.lang.Integer nrOfOrdinalAttributes)`
`void` | `setNrOfTimeAttribs(java.lang.Integer nrOfTimeAttributes)`
`void` | `setTheColumnset(Columnset columnSet)`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName`

Method Detail

### getTheColumnset

    public Columnset getTheColumnset()

### setTheColumnset

    public void setTheColumnset(Columnset columnSet)
                         throws M4Exception

  Throws:
    `M4Exception`

### getNrOfAllTuples

    public java.lang.Integer getNrOfAllTuples()

### setNrOfAllTuples

    public void setNrOfAllTuples(java.lang.Integer nrOfRows)

### getNrOfOrdAttribs

    public java.lang.Integer getNrOfOrdAttribs()

### setNrOfOrdAttribs

    public void setNrOfOrdAttribs(java.lang.Integer nrOfOrdinalAttributes)

### getNrOfNomAttribs

    public java.lang.Integer getNrOfNomAttribs()

### setNrOfNomAttribs

    public void setNrOfNomAttribs(java.lang.Integer nrOfNominalAttributes)

### getNrOfTimeAttribs

    public java.lang.Integer getNrOfTimeAttribs()

### setNrOfTimeAttribs

    public void setNrOfTimeAttribs(java.lang.Integer nrOfTimeAttributes)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005